function AISMN_WaitInJail::OnEnter(%this, %cmpAI)
{
   %object = GetThisObject(%cmpAI);
   
   // Remove all mounted images
   for(%i = 0; %i < $ShapeBase::MaxMountedImages; %i++) {
      %object.unmountImage(%i);
   }
   
   // Clear reform state
   %cmpChar = slgQueryInterface(%object, $CID_CHARACTER);
   if(isObject(%cmpChar)) {
      %cmpChar.clearState($CharacterState::Reform);
   } 
}

function AISMN_WaitInJail::OnExit(%this, %cmpAI)
{
   return;
}

//EXIT 0: DONE SERVING TIME
function AISMN_WaitInJail::Update(%this, %cmpAI)
{   
   if(TimeInNode(%cmpAI) >= 10)
      ReturnValue(%cmpAI,0);
   else 
      ReturnValue(%cmpAI,-1);
   return;
}